MonoMac 0.0.0.0 System.ValueType System.IEquatable<MonoMac.OpenGL.Vector2h> System.Runtime.Serialization.ISerializable 2-component Vector of the Half type. Occupies 4 Byte total. To be added.
- Constructor
  0.0.0.0
  The value that will initialize this instance.
  Constructs a new instance.
  To be added.
- Constructor
  0.0.0.0
  System.CLSCompliant(false)
  OpenTK.Vector2
  The new Half2 instance will convert the Vector2 into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  OpenTK.Vector2
  The new Half2 instance will convert the Vector2 into 16-bit half-precision floating-point. This is the fastest constructor.
  To be added.
- Constructor
  0.0.0.0
  OpenTK.Vector2d
  The new Half2 instance will convert the Vector2d into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  System.CLSCompliant(false)
  OpenTK.Vector2d
  The new Half2 instance will convert the Vector2d into 16-bit half-precision floating-point. This is the faster constructor.
  To be added.
- Constructor
  0.0.0.0
  The value that will initialize this instance.
  Constructs a new instance.
  To be added.
- Constructor
  0.0.0.0
  An Half instance of a 16-bit half-precision floating-point number.
  An Half instance of a 16-bit half-precision floating-point number.
  The new Half2 instance will avoid conversion and copy directly from the Half parameters.
  To be added.
- Constructor
  0.0.0.0
  System.CLSCompliant(false)
  OpenTK.Vector2
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half2 instance will convert the Vector2 into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  OpenTK.Vector2
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half2 instance will convert the Vector2 into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  OpenTK.Vector2d
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half2 instance will convert the Vector2d into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  System.CLSCompliant(false)
  OpenTK.Vector2d
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half2 instance will convert the Vector2d into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  Constructor used by ISerializable to deserialize the object.
  To be added.
- Constructor
  0.0.0.0
  32-bit single-precision floating-point number.
  32-bit single-precision floating-point number.
  The new Half2 instance will convert the 2 parameters into 16-bit half-precision floating-point.
  To be added.
- Constructor
  0.0.0.0
  32-bit single-precision floating-point number.
  32-bit single-precision floating-point number.
  Enable checks that will throw if the conversion result is not meaningful.
  The new Half2 instance will convert the 2 parameters into 16-bit half-precision floating-point.
  To be added.
- Method
  0.0.0.0
  System.Boolean `` OpenTK.Half2 to compare to this instance.. Returns a value indicating whether this instance is equal to a specified OpenTK.Half2 vector. True, if other is equal to this instance; false otherwise. To be added.
- Method
  0.0.0.0
  System.Void `` A BinaryReader instance associated with an open Stream. Updates the X and Y components of this instance by reading from a Stream. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2h `` `` A Half2 in it's byte[] representation. The starting position within value. Converts an array of bytes into Half2. A new Half2 instance. To be added.
- Method
  0.0.0.0
  System.Byte[] `` The Half2 to convert. Returns the Half2 as an array of bytes. The input as byte array. To be added.
- Method
  0.0.0.0
  System.Void `` `` Used by ISerialize to serialize the object. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2h `` The Vector2 to convert. Converts OpenTK.Vector2 to OpenTK.Half2. The resulting Half vector. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2h `` The Vector2d to convert. Converts OpenTK.Vector2d to OpenTK.Half2. The resulting Half vector. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 `` The Half2 to convert. Converts OpenTK.Half2 to OpenTK.Vector2. The resulting Vector2. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d `` The Half2 to convert. Converts OpenTK.Half2 to OpenTK.Vector2d. The resulting Vector2d. To be added.
- Field
  0.0.0.0
  System.Int32 The size in bytes for an instance of the Half2 struct is 4. To be added.
- Method
  0.0.0.0
  System.Void `` A BinaryWriter instance associated with an open Stream. Writes the X and Y components of this instance into a Stream. To be added.
- Method
  0.0.0.0
  System.String Returns a string that contains this Half2's numbers in human-legible form. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2 Returns this Half2 instance's contents as Vector2. OpenTK.Vector2 To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector2d Returns this Half2 instance's contents as Vector2d. To be added. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Half The X component of the Half2. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Half The Y component of the Half2. To be added.